Subject: Herbs for Asthma

From: Abraham <[email-masked]>
Date: Mon, 20 Mar 95 20:55:55 -0500

I recently got very tired of taking all the prescription drugs for my asthma.
We've taken herbs for many years for many things, but it never crossed my
mind to take them for asthma.  Well, for the past two weeks, I've not used
Arobid (steriod based), Tornalat, or Preventil.  Instead I'm taking Siberian
Gensing and Parsly.  Two caps each, three times a day.  For me at least it
has worked wonders.
Rabbi Abraham Zalman Walker